SF.net SVN: nagiosplug:[2081] nagiosplug/trunk/tools/sfupload
| Newsgroups | gmane.network.nagios.plugins.cvs |
|---|---|
| Message-ID | <[email protected]> |
Revision: 2081
http://nagiosplug.svn.sourceforge.net/nagiosplug/?rev=2081&view=rev
Author: tonvoon
Date: 2008-11-14 20:38:26 +0000 (Fri, 14 Nov 2008)
Log Message:
-----------
Helper script to upload tarballs to SF and create md5sum
Added Paths:
-----------
nagiosplug/trunk/tools/sfupload
Added: nagiosplug/trunk/tools/sfupload
===================================================================
--- nagiosplug/trunk/tools/sfupload (rev 0)
+++ nagiosplug/trunk/tools/sfupload 2008-11-14 20:38:26 UTC (rev 2081)
@@ -0,0 +1,27 @@
+#!/bin/bash
+# SYNTAX:
+# sfupload {version} [username]
+# Quick script to upload new nagiosplug tarball to SF
+# Expects $1 = version number of tarball
+# $2 to be username on SF, defaults to $USER
+# Expects to be run from top level dir
+
+function die { echo $1; exit 1; }
+
+tarball="nagios-plugins-$1.tar.gz"
+
+if [[ ! -e $tarball ]]; then
+ die "No tarball found: $tarball";
+fi
+md5sum $tarball > $tarball.md5sum
+
+user=${2:-$USER}
+echo "Logging in as $user"
+cat <<EOF | sftp [email protected] || die "Cannot upload to SF"
+cd uploads
+put $tarball
+put $tarball.md5sum
+EOF
+
+echo "Finished uploading files to SF"
+
Property changes on: nagiosplug/trunk/tools/sfupload
___________________________________________________________________
Added: svn:executable
+ *
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
-------------------------------------------------------------------------
This SF.Net email is sponsored by the Moblin Your Move Developer's challenge
Build the coolest Linux based applications with Moblin SDK & win great prizes
Grand prize is a trip for two to an Open Source event anywhere in the world
http://moblin-contest.org/redirect.php?banner_id=100&url=/
_______________________________________________
Nagiosplug-checkins mailing list
[email protected]
https://lists.sourceforge.net/lists/listinfo/nagiosplug-checkins